import java.util.Iterator;
import java.util.LinkedList;
import java.util.Scanner;

public class ith
{
  static int w, h;
  static int board[][];
  
  static public boolean isEmpty(int x, int y)
  {
    if(isOnBoard(x, y))
    {
      return (board[x][y] == 0);
    }
    
    return false;
  }
  
  static public boolean isOnBoard(int x, int y)
  {
    return ((x >= 0) && (y >= 0) && (x < w) && (y < h));
  }
  
  static public void attack(int ax, int ay, int v)
  {
    int m = Math.max(w, h);
    int x, y;
    
    for(int i = 1; i < m; i++)
    {
      //0
      x = (ax-i);
      y = (ay-i);
      if(isEmpty(x, y))
        board[x][y] = v;
        
      //1
      x = ax;
      y = (ay-i);
      if(isEmpty(x, y))
        board[x][y] = v;
      
      //2
      x = (ax+i);
      y = (ay-i);
      if(isEmpty(x, y))
        board[x][y] = v;
      
      //3
      x = (ax+i);
      y = ay;
      if(isEmpty(x, y))
        board[x][y] = v;
      
      //4
      x = (ax+i);
      y = (ay+i);
      if(isEmpty(x, y))
        board[x][y] = v;
        
      //5
      x = ax;
      y = (ay+i);
      if(isEmpty(x, y))
        board[x][y] = v;
        
      //6
      x = (ax-i);
      y = (ay+i);
      if(isEmpty(x, y))
        board[x][y] = v;

      //7
      x = (ax-i);
      y = ay;
      if(isEmpty(x, y))
        board[x][y] = v;
    }
  }
  
  static public void main(String args[])
  {
    Scanner in = new Scanner(System.in);
    
    w = in.nextInt();
    h = in.nextInt();
    int n = in.nextInt();
    
    board = new int[w][h];
    
    int x, y;
    for(int i = 1; i <= n; i++)
    {
      x = in.nextInt();
      y = in.nextInt();
      
      board[x][y] = i;
    }
    
    for(y = 0; y < h; y++)
    {
      for(x = 0; x < w; x++)
      {
        System.out.print(board[x][y]);
      }
      System.out.println();
    }
    
    System.exit(0);
  }
}

